## ros-melodic-cartesian-interface 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cartesian_interface)

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++11)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
        geometry_msgs
        hardware_interface
        roscpp
  )


catkin_package(
  INCLUDE_DIRS include
  #LIBRARIES
  CATKIN_DEPENDS
    geometry_msgs
    hardware_interface
    roscpp
  #DEPENDS system_lib
  )

###########
## Build ##
###########

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

#############
## Install ##
#############

## Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

#############
## Testing ##
#############

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(cartesian_state_interface_test test/cartesian_state_interface_test.cpp)
  target_link_libraries(cartesian_state_interface_test ${catkin_LIBRARIES})

  catkin_add_gtest(cartesian_command_interface_test test/cartesian_command_interface_test.cpp)
  target_link_libraries(cartesian_command_interface_test ${catkin_LIBRARIES})
endif()

=== debian/changelog ===
ros-melodic-cartesian-interface (0.1.5-1bionic) bionic; urgency=high



 -- Felix Exner <mauch@fzi.de>  Wed, 01 Dec 2021 23:00:00 -0000

ros-melodic-cartesian-interface (0.1.4-1bionic) bionic; urgency=high

  * Add websites to package.xml files
  * Update image paths of partner logos (#4 <https://github.com/UniversalRobots/Universal_Robots_ROS_controllers_cartesian/issues/4>)
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Wed, 04 Aug 2021 22:00:00 -0000

ros-melodic-cartesian-interface (0.1.3-1bionic) bionic; urgency=high



 -- Felix Exner <mauch@fzi.de>  Tue, 22 Jun 2021 22:00:00 -0000

ros-melodic-cartesian-interface (0.1.2-1bionic) bionic; urgency=high



 -- Felix Exner <mauch@fzi.de>  Mon, 14 Jun 2021 22:00:00 -0000

ros-melodic-cartesian-interface (0.1.1-1bionic) bionic; urgency=high

  * Removed trailing whitespaces from README's
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Mon, 14 Jun 2021 22:00:00 -0000

ros-melodic-cartesian-interface (0.1.0-1bionic) bionic; urgency=high

  * Initial release
  * Contributors: Felix Exner

 -- Felix Exner <mauch@fzi.de>  Mon, 14 Jun 2021 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-cartesian-interface
Section: misc
Priority: optional
Maintainer: Felix Exner <mauch@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-hardware-interface, ros-melodic-roscpp, ros-melodic-rosunit
Homepage: http://wiki.ros.org/cartesian_interface
Standards-Version: 3.9.2

Package: ros-melodic-cartesian-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-hardware-interface, ros-melodic-roscpp
Description: Defines a hardware interface to send Cartesian commands to a robot hardware and read Cartesian states.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cartesian-interface//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
